<?php
/*
Plugin Name: MM_View_CompMetaPict
Version: 1.1
Description: Display Picture Metadata in a flowed structure to lower vertical space used / Affiche les mtadonnes d'une image de manire fluide pour optimiser l'espace vertical
Author: PhpWebGallery team
Author URI: http://www.phpwebgallery.net
*/
/* HISTORY:
 * 1.1: fixed CSS, rewrite MM_tpl_display_compact
 * 1.0: initial release
*/
  global $template;
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

//MAIN        render_element_content           picture_pictures_data

add_event_handler('loc_end_picture','MM_tpl_display_compact');

add_event_handler('loc_end_page_header','MM_add_style');

/******************************************************************************/
/* FUNCTIONS */
/******************************************************************************/
/* Remplace une partie du code par une autre dans un template */
function MM_tpl_display_compact()
{
	$new_tpl= '
<!-- BEGIN metadata -->
<div id="metadata">
  <!-- BEGIN headline -->
    <p id="metahead">{metadata.headline.TITLE}</p>
  <!-- END headline -->
  <p>
  <!-- BEGIN line -->
    <span class="md_key">{metadata.line.KEY}</span> :
			<span class="md_value">{metadata.line.VALUE}</span> &nbsp; &mdash; &nbsp;
  <!-- END line -->
  </p>
</div>
<!-- END metadata -->';

 	global $template;
 	
	$template->loadfile('picture'); // I should load the uncompiled_code before.
  $p_beg = strpos($template->uncompiled_code['picture'], '<!-- BEGIN metadata -->');
  $p_end = strpos($template->uncompiled_code['picture'], '<!-- END metadata -->') + 21;
	$s = substr($template->uncompiled_code['picture'], $p_beg, $p_end - $p_beg);

  $template->uncompiled_code['picture'] =
  substr_replace($template->uncompiled_code['picture'],
		$new_tpl, $p_beg, $p_end - $p_beg);
}

function MM_add_style()
{
  global $conf, $template, $picture;

	if ( isset($template->files['picture']) )
	{
  	$template->assign_block_vars('head_element', array('CONTENT' => '
<style type="text/css">
/* Set some for metadata */
#metadata {
 	margin:auto; /* used to center */
 	width: '.$picture['current']['width'].'px;
}
#metahead, .md_key { font-weight: bold; }
.md_value { }
</style>'));
  }
}



?>
